mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Enum System.Runtime.InteropServices.ComVisible(true) This enumeration is used to describe the file kind of an assembly.

Specifies the type of the portable executable (PE) file.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Emit.PEFileKinds To be added

  The application is a console (not a Windows-based) application.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Emit.PEFileKinds To be added

  The portable executable (PE) file is a DLL.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Emit.PEFileKinds To be added

  The application is a Windows-based application.